$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.5.7/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.5.7/kubernetes-client-windows-amd64.tar.gz'
$checksum       = '529ae014f0603868c82ee89601668fac17fa55932535d5925a7b61b1f301e61f'
$checksum64     = 'f1f7e588dca059a4cbe97b4a28a983d346f93fc2bb0d4a1dbbb7d55a3e33caef'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
